libdap::D4AsyncUtil Class Reference

## Public Member Functions

string | getRejectReasonCodeString (RejectReasonCode code)
void | writeD2AsyncAccepted (XMLWriter &xml, long expectedDelay, long responseLifetime, string asyncResourceUrl)
void | writeD2AsyncPending (XMLWriter &xml)
void | writeD2AsyncRequired (XMLWriter &xml, long expectedDelay, long responseLifetime)
| Write the DAP2 AsyncRequired response . Write the DAP2 AsyncRequired in XML form.
void | writeD2AsyncResponseGone (XMLWriter &xml)
void | writeD2AsyncResponseRejected (XMLWriter &xml, RejectReasonCode code, string description)
void | writeD4AsyncAccepted (XMLWriter &xml, long expectedDelay, long responseLifetime, string asyncResourceUrl, string *stylesheet_ref=0)
| Write the DAP4 AsyncAccepted response. Write the AsyncAccepted in XML form.
void | writeD4AsyncPending (XMLWriter &xml, string *stylesheet_ref=0)
| Write the DAP4 AsyncPending response. Write the DAP4 AsyncPending in XML form.
void | writeD4AsyncRequired (XMLWriter &xml, long expectedDelay, long responseLifetime, string *stylesheet_ref=0)
| Write the DAP4 AsyncRequired response. Print the AsyncRequired in XML form.
void | writeD4AsyncResponseGone (XMLWriter &xml, string *stylesheet_ref=0)
| Write the DAP4 AsyncResponseGone response. Write the DAP4 AsyncRequired in XML form.
void | writeD4AsyncResponseRejected (XMLWriter &xml, RejectReasonCode code, string description, string *stylesheet_ref=0)
| Write the DAP4 ResponseRejected response. Write the DAP4 AsyncRequired in XML form.

## Static Public Attributes

static const string | STYLESHEET_REFERENCE_KEY = "DAP.Async.StyleSheet.Ref"

## Detailed Description

Definition at line 17 of file D4AsyncUtil.h.

## Constructor & Destructor Documentation

## D4AsyncUtil()

libdap::D4AsyncUtil::D4AsyncUtil | ( |  | ) |

Definition at line 25 of file D4AsyncUtil.cc.

## ~D4AsyncUtil()

libdap::D4AsyncUtil::~D4AsyncUtil | ( |  | ) |

virtual

Definition at line 27 of file D4AsyncUtil.cc.

## Member Function Documentation

## getRejectReasonCodeString()

string libdap::D4AsyncUtil::getRejectReasonCodeString | ( | RejectReasonCode | code | ) |

Definition at line 291 of file D4AsyncUtil.cc.

## writeD2AsyncAccepted()

void libdap::D4AsyncUtil::writeD2AsyncAccepted | ( | XMLWriter & | xml,
|  | long | expectedDelay,
|  | long | responseLifetime,
|  | string | asyncResourceUrl )

Definition at line 324 of file D4AsyncUtil.cc.

## writeD2AsyncPending()

void libdap::D4AsyncUtil::writeD2AsyncPending | ( | XMLWriter & | xml | ) |

Definition at line 328 of file D4AsyncUtil.cc.

## writeD2AsyncRequired()

void libdap::D4AsyncUtil::writeD2AsyncRequired | ( | XMLWriter & | xml,
|  | long | expectedDelay,
|  | long | responseLifetime )

Write the DAP2 AsyncRequired response . Write the DAP2 AsyncRequired in XML form.

Parameters

  xml | Print to this XMLWriter instance

Definition at line 320 of file D4AsyncUtil.cc.

## writeD2AsyncResponseGone()

void libdap::D4AsyncUtil::writeD2AsyncResponseGone | ( | XMLWriter & | xml | ) |

Definition at line 332 of file D4AsyncUtil.cc.

## writeD2AsyncResponseRejected()

void libdap::D4AsyncUtil::writeD2AsyncResponseRejected | ( | XMLWriter & | xml,
|  | RejectReasonCode | code,
|  | string | description )

Definition at line 336 of file D4AsyncUtil.cc.

## writeD4AsyncAccepted()

void libdap::D4AsyncUtil::writeD4AsyncAccepted | ( | XMLWriter & | xml,
|  | long | expectedDelay,
|  | long | responseLifetime,
|  | string | asyncResourceUrl,
|  | string * | stylesheet_ref = 0 )

Write the DAP4 AsyncAccepted response. Write the AsyncAccepted in XML form.

Print the AsyncRequired response to the. Print the AsyncRequired in XML form.

Parameters

  xml | Print to this XMLWriter instance

Definition at line 102 of file D4AsyncUtil.cc.

## writeD4AsyncPending()

void libdap::D4AsyncUtil::writeD4AsyncPending | ( | XMLWriter & | xml,
|  | string * | stylesheet_ref = 0 )

Write the DAP4 AsyncPending response. Write the DAP4 AsyncPending in XML form.

Print the AsyncRequired response to the. Print the AsyncRequired in XML form.

Parameters

  xml | Print to this XMLWriter instance

Definition at line 173 of file D4AsyncUtil.cc.

## writeD4AsyncRequired()

void libdap::D4AsyncUtil::writeD4AsyncRequired | ( | XMLWriter & | xml,
|  | long | expectedDelay,
|  | long | responseLifetime,
|  | string * | stylesheet_ref = 0 )

Write the DAP4 AsyncRequired response. Print the AsyncRequired in XML form.

Print the AsyncRequired response to the. Print the AsyncRequired in XML form.

Parameters

  xml | Print to this XMLWriter instance

Definition at line 34 of file D4AsyncUtil.cc.

## writeD4AsyncResponseGone()

void libdap::D4AsyncUtil::writeD4AsyncResponseGone | ( | XMLWriter & | xml,
|  | string * | stylesheet_ref = 0 )

Write the DAP4 AsyncResponseGone response. Write the DAP4 AsyncRequired in XML form.

Print the AsyncRequired response to the. Print the AsyncRequired in XML form.

Parameters

  xml | Print to this XMLWriter instance

Definition at line 208 of file D4AsyncUtil.cc.

## writeD4AsyncResponseRejected()

void libdap::D4AsyncUtil::writeD4AsyncResponseRejected | ( | XMLWriter & | xml,
|  | RejectReasonCode | code,
|  | string | description,
|  | string * | stylesheet_ref = 0 )

Write the DAP4 ResponseRejected response. Write the DAP4 AsyncRequired in XML form.

Print the AsyncRequired response to the. Print the AsyncRequired in XML form.

Parameters

  xml | Print to this XMLWriter instance

Definition at line 243 of file D4AsyncUtil.cc.

## Member Data Documentation

## STYLESHEET_REFERENCE_KEY

const string libdap::D4AsyncUtil::STYLESHEET_REFERENCE_KEY = "DAP.Async.StyleSheet.Ref"

static

Definition at line 28 of file D4AsyncUtil.h.

The documentation for this class was generated from the following files:

- D4AsyncUtil.h
- D4AsyncUtil.cc